const express = require("express");
// const bodyParser = require("body-parser"); /* deprecated */
const cors = require("cors");
const app = express();
const fs = require('fs');
const ejs = require('ejs');
const path = require('path');

const os = require('os');

// app.use(express.static(path.join(__dirname, 'static')));
app.use(express.static(__dirname+'/static'))

var corsOptions = {
  origin: "http://localhost:8081"
};

app.use(cors(corsOptions));

// parse requests of content-type - application/json
app.use(express.json()); /* bodyParser.json() is deprecated */

// parse requests of content-type - application/x-www-form-urlencoded
app.use(express.urlencoded({ extended: true })); /* bodyParser.urlencoded() is deprecated */

// main page rander
const mainPage = fs.readFileSync('./view/index.ejs', 'utf8');
// simple route
app.get("/", (req, res) => {
  var page = ejs.render(mainPage, {
    title: "3 Tier Test (Linux)",
    server_name: os.hostname(),
  });
    res.send(page);
});

require("./app/routes/tutorial.routes.js")(app);

// set port, listen for requests
const PORT = process.env.PORT || 3000;
app.listen(PORT, () => {
  console.log(`Server is running on port ${PORT}.`);
});
